KBUILDSYCOCA4(8)

NAME
kbuildsycoca4 - Reconstrui a caché da configuración do sistema.

RESUMO

kbuildsycoca4 [[--nosignal] | [--noincremental] | [--checkstamps] | [--nocheckfiles] | [--global] | [--menutest] | [--track menu-id] | [--help] | [--help-qt] | [--help-kde] | [--help-all] | [--author] | [-v, --version] | [--license]]

DESCRICIóN

kbuidsycoca4, como parte das ferramentas KDE para a liña de ordes garante o funcionamento correcto de KDE lendo todos os ficheiros .desktop, .xml e .protocol para construír unha base de datos binaria.

KDE acede a esta base de datos durante o funcionamento para a fornecer información de configuración que precise un programa para a súa execución.

Esta ferramenta é parte de ksycoca4, que significa KDE System Configuration Cache

OPCIóNS

--nosignal
    Non enviar sinais ás aplicacións para que se actualicen

--noincremental
    Desactivar a actualización incremental, ler de novo todo

--checkstamps
    Comprobar os selos de tempo dos ficheiros

--nocheckfiles
    Desactivar a comprobación dos ficheiros (perigoso)

--global
    Crear unha base de datos global

--menutest
    Realizar só unha execución de proba da xeración do menú

--track menu-id
    Rastrexar o identificador do menú para depuración

--help
    Mostra axuda acerca das opcións

--help-qt
    Mostra as opcións específicas de Qt

--help-kde
    Mostra as opcións específicas de KDE

--help-all
    Mostra todas as opcións

--author
    Mostra información de autoría

-v , --version
    Mostra información da versión

--license
    Mostra información da licenza

UTILIZACIóN

O xeito estándar de executar este programa é especificar o seguinte comando na liña de ordes kbuidsycoca4

FICHEIROS

/var/tmp/kde-$USER/ksycoca4
    O cartafol predeterminado onde se gardan os ficheiros de caché.

VARIáBEIS DE CONTORNO

$KDEDIRS
    Indica que directorios forman parte da instalación de KDE

CONSULTE TAMéN

kdeinit4

ERROS

Probabelmente haxa moitísimos erros. Use bugs.kde.org[1] para informar deles.

AUTHOR

Darian Lanx <content@openprojects.net>
    Author.

NOTES

1.  bugs.kde.org
    http://bugs.kde.org